[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'math' (#rtl)

# EnsureRange

Change value to it falls in specified range.

## Declaration

Source position: line 0

`function EnsureRange(`
`const AValue: Integer;`
`const AMin: Integer;`
`const AMax: Integer`
`):Integer; overload; function EnsureRange(`
`const AValue: Int64;`
`const AMin: Int64;`
`const AMax: Int64`
`):Int64; overload;`

## Description

EnsureRange returns Value if AValue is in the range AMin..AMax. It returns AMin if the value is less than AMin, or AMax if the value is larger than AMax.

## See also

InRange |  | Check whether value is in range.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.